package jp.mosp.payroll.dto;

import jp.mosp.common.common.BaseDto;

public class CmMidwayEnterDto extends BaseDto {
	
	private static final long	serialVersionUID	= 8114885736792816914L;
	
	// フィールド
	private String				kCode;										// 社員コード
	private String				midwayType;								// 中途入社区分
	private int					formerIncome;								// 前勤務先収入金額
	private int					formerInsurance;							// 前勤務先社会保険額
	private int					formerTax;									// 前勤務先所得税額
																			
	
	/**
	 * コンストラクタ
	 */
	public CmMidwayEnterDto() {
		super();
	}
	
	// アクセサメソッド
	public String getKCode() {
		return kCode;
	} // 社員コード
	
	public String getMidwayType() {
		return midwayType;
	} // 計算単価区分
	
	public int getFormerIncome() {
		return formerIncome;
	} // 前勤務先収入金額
	
	public int getFormerInsurance() {
		return formerInsurance;
	} // 前勤務先社会保険額
	
	public int getFormerTax() {
		return formerTax;
	} // 前勤務先所得税額
	
	public void setKCode(String kCode) {
		this.kCode = kCode;
	} // 社員コード
	
	public void setMidwayType(String midwayType) {
		this.midwayType = midwayType;
	} // 計算単価区分
	
	public void setFormerIncome(int formerIncome) {
		this.formerIncome = formerIncome;
	} // 前勤務先収入金額
	
	public void setFormerInsurance(int formerInsurance) {
		this.formerInsurance = formerInsurance;
	} // 前勤務先社会保険額
	
	public void setFormerTax(int formerTax) {
		this.formerTax = formerTax;
	} // 前勤務先所得税額
	
}
